/**
 * Copyright (C) 2002
 */

package org.objectweb.util.monolog;

import junit.textui.TestRunner;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class TestMonolog {
	public static void main(String[] args) {
		if (args.length < 1) {
			System.out.println("Syntax error !");
			System.out.println("java TestAll <logger factory class name>");
			System.exit(12);
		}
		junit.framework.TestSuite suite = new junit.framework.TestSuite();
		try {
			suite.addTest(TestConfigurability
				.getTestSuite(args[0],"default", null, null));

			suite.addTest(TestConfigurability
				.getTestSuite(args[0],"property", args[1], null));

			suite.addTest(TestConfigurability
				.getTestSuite(args[0],"property", args[2], "true"));

			suite.addTest( TestHandler.getTestSuite(args[0]));

			suite.addTest( TestLevel.getTestSuite(args[0]));

			suite.addTest( TestLogger._getTestSuite(args[0]));

			suite.addTest(TestIntermediateLevel.getTestSuite(args[0]));
		}
		catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
		TestRunner.run(suite);
	}
}
